osgDB::ExternalFileWriter::ObjectData Struct Reference

`#include <ExternalFileWriter>`

## Public Member Functions

| ObjectData ()
| ObjectData (const std::string &in_absolutePath, const std::string &in_relativePath, bool in_written)

## Public Attributes

std::string | absolutePath
std::string | relativePath
bool | written
| Says if write succeeded or not.

## Constructor & Destructor Documentation

## ObjectData() [1/2]

osgDB::ExternalFileWriter::ObjectData::ObjectData | ( |  | ) |

inline

References written.

## ObjectData() [2/2]

osgDB::ExternalFileWriter::ObjectData::ObjectData | ( | const std::string & | in_absolutePath,
|  | const std::string & | in_relativePath,
|  | bool | in_written )

inline

References absolutePath, relativePath, and written.

## Member Data Documentation

## absolutePath

std::string osgDB::ExternalFileWriter::ObjectData::absolutePath

Referenced by ObjectData().

## relativePath

std::string osgDB::ExternalFileWriter::ObjectData::relativePath

Referenced by ObjectData().

## written

bool osgDB::ExternalFileWriter::ObjectData::written

Says if write succeeded or not.

Referenced by ObjectData(), and ObjectData().

The documentation for this struct was generated from the following file:

- ExternalFileWriter